## console-common 0.7.87

=== debian/changelog ===
console-common (0.7.87) unstable; urgency=low

  * Drop dependency on $remote_fs that accidentally leaked in 0.7.86
    init script. Closes: #650995

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Dec 2011 21:08:35 +0100

console-common (0.7.86) unstable; urgency=low

  * Drop splashy-related code in /etc/init.d/keymap.sh
    This will also allow /run transition
    Closes: #633048
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #599849
  * Add init.d status support. Thanks to Peter Eisentraut
    for the patch. Closes: #642054
  * Add build-arch and build-indep targets in debian/rules
  * Bump Standards to 3.9.2 (checked)
  * Bump debhelper compatibility level to 8

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 18:04:57 +0100

=== debian/control ===
Source: console-common
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: docbook-to-man, po-debconf
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2

Package: console-common
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}, debianutils (>= 1.13), console-data, kbd | console-tools (>=1:0.2.3dbs-54), lsb-base (>= 3.0)
Conflicts: console-data (<< 1999.08.29-20)
Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
Description: basic infrastructure for text console configuration
 This package contains the install-keymap(8) utility, which is the
 recommended tool to specify a boot-time keymap to the system, as well
 as tools for internal use of keymap-providing packages.

Package: dh-consoledata
Section: devel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 2)
Enhances: debhelper
Description: debhelper-based script to help packaging console data files
 This package assists in building consistent packages of data-files
 for the Linux text console.

## console-common 0.7.88

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
 
 Package: console-common
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: ${misc:Depends}, debianutils (>= 1.13), console-data, kbd | console-tools (>=1:0.2.3dbs-54), lsb-base (>= 3.0)
-Conflicts: console-data (<< 1999.08.29-20)
-Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
+Depends: ${misc:Depends}, debianutils (>= 1.13), console-data, kbd, lsb-base (>= 3.0)
 Description: basic infrastructure for text console configuration
  This package contains the install-keymap(8) utility, which is the
  recommended tool to specify a boot-time keymap to the system, as well

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp

tmplfile=${debdir}/console-common.templates
configfile=${debdir}/console-common.config

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp ${tmplfile} ${configfile} debian/substvars
	dh_clean
	${MAKE} clean

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	${MAKE} all
	touch build-stamp

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	${MAKE} install DESTDIR=${tmpdir}
	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install # ${configfile}
	dh_testdir
	dh_testroot
	DH_LCDDIR=${topdir} DH_AUTOSCRIPTDIR=${topdir} DH_OPTIONS= \
		./dh_consoledata -pconsole-common -d

	cp kbd-config debian/console-common/usr/bin
	dh_installman kbd-config.8
	dh_installdebconf
	dh_install
	dh_installdocs TODO
	DH_OPTIONS= dh_installinit -pconsole-common --init-script=keymap.sh -r -u"start 05 S ."
	dh_installchangelogs 
	dh_compress
	dh_fixperms

	dh_installdeb
	chmod +x debian/dh-consoledata/usr/share/debhelper/dh-consoledata/config.in
	dh_perl
	# Don't config in console-common, only console-data
	rm debian/console-common/DEBIAN/config
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## console-common 0.7.89

=== po/Makefile ===
PACKAGE=install-keymap

ifndef DESTDIR
DESTDIR=/usr
endif

ifndef INSTALL_DIR
INSTALL_DIR=${DESTDIR}/share/locale/
endif

MO_FILES = $(patsubst %.po,${INSTALL_DIR}/%/LC_MESSAGES/${PACKAGE}.mo, $(wildcard *.po))
TARGETS=$(patsubst %,${INSTALL_DIR}/%, ${MO_FILES})
DIRECTORIES= $(patsubst %.po, ${INSTALL_DIR}/%/LC_MESSAGES, $(wildcard *.po))

all: ${MO_FILES} ${ALIASED_FILES}

install: ${DIRECTORIES} ${MO_FILES}

${INSTALL_DIR}/%/LC_MESSAGES/${PACKAGE}.mo: %.po 
	msgfmt --verbose --check $< -o $@

${INSTALL_DIR}/%/LC_MESSAGES:
	 mkdir -p $@

%.gmo: %.po
	msgfmt --verbose --check $< -o $@

clean:
	rm -f *~ messages *.gmo *#

=== debian/changelog ===
console-common (0.7.89) unstable; urgency=medium

  [Felipe Sateler]
  * Drop keymap.sh script, superseded in favor of console-setup
   Closes: #796606, #677314, #276220, #516002, #723987.

  [Alastair McKinstry]
  * Move to Standards-Version: 3.9.6
  * If 'machine' not in /proc/cpuinfo, use 'platform'. Closes: #502897.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 01:04:20 +0000

console-common (0.7.88) unstable; urgency=medium

  * Remove optional dependency on console-tools, which has been removed.
  * Now at Standards-Version: 3.9.5 
  * Move to DH_COMPAT=9 
  * Remove obsolete breaks/replaces from control, referring to versions
    nearly a decade old. Ditto old code in postinst.
  * remove references to /usr/bin/unicode_* shipped in console-tools. from
    keymap.sh; use "command -v unicode_*" instead.
  * kbd no longer depends on console-common; Closes: #427923.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 09:09:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: console-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_installdebconf
 	dh_install
 	dh_installdocs TODO
-	DH_OPTIONS= dh_installinit -pconsole-common --init-script=keymap.sh -r -u"start 05 S ."
 	dh_installchangelogs 
 	dh_compress
 	dh_fixperms

## console-common 0.7.90

=== debian/changelog ===
console-common (0.7.90) unstable; urgency=medium

  * Drop Christian Perrier from Uploaders. Thanks for all the work, Bubulle!
    Closes: #894420
  * Move to DH_COMPAT=10
  * Drop Priority: extra from dh-consoledata
  * Standards-Version: 4.1.4; no changes required
  * Cleanup d/rules using dh 
  * Delete obsolete url from d/copyright. Files simply copyright Yann Dirson.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 14:22:01 +0100

## console-common 0.7.90+deb10u1

=== debian/changelog ===
console-common (0.7.90+deb10u1) buster; urgency=medium

  * Non-maintainer upload.

  [ Alastair McKinstry ]
  * Patch from Patrick Cernko for regression that dropped files.
    Closes: #935096

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2020 14:40:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
+Uploaders: Wartan Hachaturow <wart@softhome.net>
 Build-Depends-Indep: docbook-to-man, po-debconf
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.4
 
 Package: console-common
 Architecture: all
@@ -18,8 +18,8 @@
 
 Package: dh-consoledata
 Section: devel
-Priority: extra
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, debhelper (>> 2)
 Enhances: debhelper
 Description: debhelper-based script to help packaging console data files

## console-common 0.7.90+deb10u1+nmu1

=== debian/changelog ===
console-common (0.7.90+deb10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:01:38 +0800

## console-common 0.7.91

=== Makefile ===
DESTDIR		=
prefix		= /usr

version		= $(shell dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
lcddep		= console-common (>= ${version})

sysconfdir	= /etc/console
bindir		= ${prefix}/bin
sbindir		= ${prefix}/sbin
datadir		= ${prefix}/share
dhdatadir	= ${datadir}/debhelper/dh-consoledata
autoscriptdir	= ${datadir}/debhelper/autoscripts
docdir		= ${prefix}/share/doc/dh-consoledata
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1
man8dir		= ${mandir}/man8

consoledatadir	= ${datadir}/console
kmapdatadir	= ${consoledatadir}/lists/keymaps

DHSCRIPT	= dh_consoledata
GETKMAPCONF	= getkmapchoice.pl

DHAUTOSCRIPTS	= postinst-lcd-keymaps

BINSCRIPTS	= ${DHSCRIPT}
SBINSCRIPTS	= install-keymap
LIBSCRIPTS	= ${GETKMAPCONF} ps2-to-riscpc
MANPAGES1	= ${BINSCRIPTS:=.1}
MANPAGES8	= ${SBINSCRIPTS:=.8}
MANPAGES	= ${MANPAGES1} ${MANPAGES8}

DHDATA		= common.pl config.in

# debiandoc2* attempts to do something nasty with locale set
export LC_ALL=C

all: ${BINSCRIPTS} ${SBINSCRIPTS} ${LIBSCRIPTS} ${DHDATA} ${MANPAGES}

${DHSCRIPT}: ${DHSCRIPT}.in
	sed <$< >$@ \
		-e "s^@DHDIR@^${dhdatadir}^" \
		-e "s^@KMAPDIR@^${kmapdatadir}^" \
		-e "s^@LCDDEP@^${lcddep}^"
	chmod +x $@

${GETKMAPCONF}: ${GETKMAPCONF}.in common.pl
	sed <$< >$@ \
		-e '/^#####COMMON#####$$/ r common.pl'

clean:
	rm -rf ${DHSCRIPT} ${GETKMAPCONF} ${MANPAGES} templates
	${MAKE} -C po clean

install: all
	install -m755 -d ${DESTDIR}${dhdatadir} \
		${DESTDIR}${consoledatadir} \
		${DESTDIR}${bindir} ${DESTDIR}${sbindir}
	install -m755 ${BINSCRIPTS} ${DESTDIR}${bindir}
	install -m755 ${SBINSCRIPTS} ${DESTDIR}${sbindir}
	install -m755 ${LIBSCRIPTS} ${DESTDIR}${consoledatadir}
	install -m644 ${DHDATA} ${DESTDIR}${dhdatadir}
	po2debconf --podir debian/po -o templates debian/templates.in
	cp templates ${DESTDIR}${dhdatadir}
	# cp -a templates ${DESTDIR}${dhdatadir}

	install -m755 -d ${DESTDIR}${sysconfdir} ${DESTDIR}${kmapdatadir}

	install -m755 -d ${DESTDIR}${autoscriptdir}
	install -m644 ${DHAUTOSCRIPTS} ${DESTDIR}${autoscriptdir}

	install -m755 -d ${DESTDIR}${man1dir} ${DESTDIR}${man8dir}
	install -m644 ${MANPAGES1} ${DESTDIR}${man1dir}
	install -m644 ${MANPAGES8} ${DESTDIR}${man8dir}
	${MAKE} -C po install DESTDIR=../debian/console-common/usr

uninstall:
	rm -f ${DESTDIR}${bindir}/${DHSCRIPT}
	rm -rf ${DESTDIR}${dhdatadir} ${DESTDIR}${docdir}

${MANPAGES8} : %.8 : %.sgml
	docbook-to-man $< >$@

%.1: %
	pod2man $< >$@

=== debian/changelog ===
console-common (0.7.91) unstable; urgency=medium

  * Patch from Patrick Cernko for regression that dropped files.
    Closes: #935096
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Sep 2019 11:00:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Wartan Hachaturow <wart@softhome.net>
 Build-Depends-Indep: docbook-to-man, po-debconf
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 
 Package: console-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,12 @@
 # package.
 
 # Uncomment this to turn on verbose mode. 
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
+
+
+# The magic debhelper  rule
+%:
+	dh $@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -19,29 +24,10 @@
 tmplfile=${debdir}/console-common.templates
 configfile=${debdir}/console-common.config
 
-clean:
-	dh_testdir
-	dh_testroot
+override_dh_auto_clean:
+	dh_auto_clean
 	rm -f build-stamp ${tmplfile} ${configfile} debian/substvars
-	dh_clean
-	${MAKE} clean
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp:
-	dh_testdir
-	${MAKE} all
-	touch build-stamp
-
-install: DH_OPTIONS=
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs -i
-	${MAKE} install DESTDIR=${tmpdir}
-	dh_movefiles
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -70,10 +56,3 @@
 	dh_md5sums
 	dh_builddeb
 
-# Build architecture-dependent files here.
-# Pass -a to all debhelper commands in this target to reduce clutter.
-binary-arch: DH_OPTIONS=-a
-binary-arch: build install
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary

## console-common 0.7.91build1

=== debian/changelog ===
console-common (0.7.91build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 19:07:14 +0000
